
Core - Bug # 52527

Status: Resolved Priority: Must have
Author: Peter Niederlag Category:
Created: 2013-10-04 Assigned To:
Updated: 2014-05-05 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: ExtensionManagementUtility::addToAllTCAtypes() doesn't add field because of match on substring
Description

If you have a field 'great_categories' you can't add another field on the same table with addToAllTCAtypes() with a name of
'categories' as this field is considerd existing in the routine. this is most likely happening due to the use of

strpos($typeDetails['showitem'], $str) !== FALSE

Associated revisions
Revision 48eab767 - 2014-02-17 22:38 - Tomita Militaru

[BUGFIX] addToAllTCAtypes() doesn't add new field

Fixes problem with match on substring when adding a new field
using ExtensionManagementUtility::addToAllTCAtypes()

Resolves: #52527
Releases: 6.1, 6.0
Change-Id: I8877cdabc00f5ac64f1f7857bf47c275d36aae62
Reviewed-on: https://review.typo3.org/27663
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision a335bcfa - 2014-02-17 22:39 - Tomita Militaru

[BUGFIX] addToAllTCAtypes() doesn't add new field

Fixes problem with match on substring when adding a new field
using ExtensionManagementUtility::addToAllTCAtypes()

Resolves: #52527
Releases: 6.1, 6.0
Change-Id: I8877cdabc00f5ac64f1f7857bf47c275d36aae62
Reviewed-on: https://review.typo3.org/27671
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Revision 30f2ba08 - 2014-05-05 18:17 - Christian Kuhn

[TASK] Tests: Refactor and activate dbal tests

Our unit test environment is finally ready to execute existing dbal
unit tests, even if no database connection exists.

The patch refactors unit tests of ext:dbal, modernizes their codebase
and adds them to the build.

Resolves: #52527
Related: #51436
Releases: 6.2
Change-Id: I70507591dc89331d658d50196dfcaea002caa7d5
Reviewed-on: https://review.typo3.org/29874
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2013-10-04 11:06 - Peter Niederlag

$tmpField1 = array (
    'fancy_field_test' => array(
        'exclude' => 0,
        'label' => 'first working test',
        'config' => array(
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim,required'
        )
    )
);
$tmpField2 = array (
    'test' => array(
        'exclude' => 0,
        'label' => 'second (failing) test',
        'config' => array(
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim,required'
        )
    )
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages', $tmpField1);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCATypes('pages', 'fancy_field_test');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages',$tmpField2);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCATypes('pages', 'test');
tmpField2 won't show up :(
'test' is part of 'fancy_field_test'
reversing the registration order would fix it

#2 - 2013-10-05 12:19 - Philipp Gampe
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- TYPO3 Version changed from 6.2 to 6.0
- Complexity set to medium

Should go to all 6.x versions I guess (and maybe even to 4.5).

Can you work on a patch (and put the example into a unit test)? This would be great.

#3 - 2013-11-02 13:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25127

#4 - 2013-11-02 16:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25127

#5 - 2013-12-09 09:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25127

#6 - 2014-02-17 15:43 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27663

#7 - 2014-02-17 22:38 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27671

#8 - 2014-02-17 23:30 - Tomita Militaru
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:a335bcfac9d96ec7c053706963dba84175e78eb1.

#9 - 2014-05-05 17:32 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29874

#10 - 2014-05-05 18:30 - Christian Kuhn
- Status changed from Under Review to Resolved

Applied in changeset commit:30f2ba08bdf19bdf4a6106bc7a2fd66b01284dd3.
